<biomark-main-header></biomark-main-header>
<div class="container-fluid">
	<div class="row">
		<section class="sub_header">
			<div class="container">
				<div class="content_wrapper">
					<h1 class="H1-dark">Profile</h1>
					<div class="navigation_tab_wrapper">
						<div class="inline-tab">
							<ul class="nav-tab">
								<li ng-class="{'active':pc.tab_position == a.id}" ng-click="pc.tabChanged(a.id)" ng-repeat="a in pc.tabs">
									<a>{{a.label}}</a>
								</li>
							</ul>
						</div>
					</div>
				</div>
			</div>

		</section>
	</div>
</div>

<div class="container-fluid" ng-if="pc.tab_position == 0">
	<div class="row">
		<div class="col-md-12">
			<div class="biomark-card">
				<div class="content_wrapper">
					<form name="personal_edit" ng-submit="pc.update_profile()">
						<div class="row">
							<div class="col-md-12">
								<div class="profile_icon_wrapper" ng-if="!pc.has_picture" ng-mouseover="pc.profile_picture_toggle( true)" ng-mouseleave="pc.profile_picture_toggle( false)">
									<i ng-if="!pc.pp_hover && !pc.data.picture.base64" class="material-icons md-150" style="margin: 6px 0 0 -10px;color:#8493ae">person
									</i>
									<img alt="photo" ng-src="{{pc.temp.prefix+pc.data.picture.base64}}" width="128" ng-if="pc.temp.prefix">
									<input type="file" ng-model="pc.temp.picture" name="file" id="file" class="inputfile" onload="pc.fileDetected" base-sixty-four-input>
									<label for="file">
										<i ng-if="pc.pp_hover" class="material-icons md-50" style="margin: 35px 0 0 0;color:#8493ae">add_a_photo
										</i>
									</label>

								</div>
								<div class="profile_icon_wrapper" ng-if="pc.has_picture" ng-mouseover="pc.profile_picture_toggle( true)" ng-mouseleave="pc.profile_picture_toggle( false)">
									<img alt="photo" ng-src="{{pc.personal.profile.avatar}}" width="128" width="128">
									<input type="file" ng-model="pc.temp.picture" name="file" id="file" class="inputfile" onload="pc.fileDetected" base-sixty-four-input>
									<label for="file">
										<i ng-if="pc.pp_hover" class="material-icons md-50" style="margin: 35px 0 0 0;color:#8493ae">add_a_photo
										</i>
									</label>

								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-md-12">
								<label class="labelnormalmedium">Clinic Name</label>
								<div class="prefix">
									<div class="input-group" ng-class="{'is-invalid':!personal_edit.first_name.$valid}">
										<!-- <div class="input-group-prepend" ng-click="pc.select_prefix()">
											<span class="input-group-text ng-binding" style="background: transparent;position: relative"> {{pc.default_prefix}} &nbsp;&nbsp;
												<i class="fa fa-angle-down"></i>
											</span>
											<ul ng-if="pc.is_visible" class="prefix-ul">
												<li class="prefix-li" ng-repeat="prefix in pc.prefixes" ng-click="pc.onValueChanged($index)" ng-model="pc.data.prefix">{{prefix}}</li>
											</ul>
										</div> -->
										<input type="text" name="first_name" class="form-control bio-custom-input" ng-model="pc.data.first_name" maxlength="45" required/>
									</div>
									<div class="invalid-feedback" style="display: block" ng-if="!personal_edit.first_name.$valid"> Please type your firstname </div>
								</div>
							</div>
							<!-- <div class="col-md-6">
								<label class="labelnormalmedium">Last Name</label>
								<input type="text" name="last_name" class="form-control bio-custom-input" ng-class="{'is-invalid':!personal_edit.last_name.$valid}"
								 ng-model="pc.data.last_name" maxlength="45" required/>
								<div class="invalid-feedback"> Please type your lastname </div>
							</div> -->
						</div>
						<!-- <div class="row" style="margin-top:10px">
							<div class="col-md-6">
								<label class="labelnormalmedium">Birthday</label>
								<biomark-date class="is-invalid" date="pc.data.birth_date" date-valid="true" invalid="personal_edit.dateDay.$invalid || personal_edit.dateYear.$invalid || !pc.is_date_valid"></biomark-date>
							</div>
							<div class="col-md-6 pb-4 pb-md-0">
								<label class="labelnormalmedium">Gender</label>
								<div style="margin-bottom:0">
									<div class="radio-focus" tabindex="1" ng-keydown="pc.select_gender($event, 1)">
										<input type="radio" id="gender_1" name="fgender" ng-value="1" ng-checked="pc.data.gender_id == 1" ng-model="pc.data.gender_id" tabindex="1">
										<label for="gender_1" style="margin-right: 20px">Male</label>
									</div>
									<div class="radio-focus" tabindex="2" ng-keydown="pc.select_gender($event, 2)">
										<input type="radio" id="gender_2" name="fgender" ng-value="2" ng-checked="pc.data.gender_id == 2" ng-model="pc.data.gender_id" tabindex="2">
										<label for="gender_2">Female</label>
									</div>
								</div>
								<div ng-if="pc.fields.gender" class="invalid-feedback" style="display: block"> Select Gender </div>
								<br>
							</div>
						</div> -->
						<!-- <div class="row">
							<div class="col-md-6">
								<div class="form-group" style="margin-top: -15px">
									<label class="labelnormalmedium">Country</label>
									<biomark-countries country="pc.data.country_id" invalid="$ctrl.field.country"></biomark-countries>
								</div>	
							</div>
						</div> -->
						
						<!-- <div class="row"> -->

						<!-- </div> -->
						<div class="row" style="margin-top:20px">
							<div class="col-md-12 text-center">
								<div class="form-group">
									<button class="btn btn-danger biomark-btn-primary" style="width:160px" ng-click="pc.isFormValid(personal_edit.$valid)">Save Changes</button>
									<!-- ng-click="pc.update_profile()"-->
								</div>
							</div>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="container-fluid" ng-if="pc.tab_position == 1">
	<div class="row">
		<div class="col-md-12">
			<div class="biomark-card">
				<div class="content_wrapper">
					<form name="contact_edit" ng-submit="pc.update_contact()">
						<!-- <div class="row">
							<div class="col-md-8">
								<div class="form-group">
									<label class="labelnormalmedium">Email Address</label>
									<input type="email" name="email_add" class="form-control bio-custom-input" ng-class="{'is-invalid':!contact_edit.email_add.$valid}" ng-model="pc.data.email_address" required/>
									<div class="invalid-feedback"> Please type your email </div>
								</div>
							</div>
						</div> -->
						<div class="row">
							<div class="col-md-8">
								<div class="form-group">
									<label class="labelnormalmedium">Mobile Number</label>
									<biomark-mobile country="pc.data.country_id" mobile="pc.data.mobile" invalid="contact_edit.mobileNumber.$invalid"></biomark-mobile>
								</div>	
							</div>
						</div>
						<!-- <div class="row">
							<div class="col-md-8">
								<div class="form-group">
									<label class="labelnormalmedium">Clinic Phone Number (Visible to patients)</label>
									<biomark-clinic-mobile ccountry="pc.data.clinic_country" cmobile="pc.data.clinic_mobile" invalid="contact_edit.clinicMobile.$invalid"></biomark-clinic-mobile>
								</div>
							</div>
						</div> -->
						<div class="row">
							<div class="col-md-12 text-center">
								<div class="form-group">
									<button class="btn btn-danger biomark-btn-primary" ng-click="pc.isFormValid(contact_edit.$valid)">Save Changes</button>
								</div>
							</div>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- <div class="container-fluid" ng-if="pc.tab_position == 2">
	<div class="row">
		<div class="col-md-12">
			<div class="biomark-card">
				<div class="content_wrapper">
					<div class="row"> 
						<div class="col-md-12"> 
							<div class="form-group"> 
								<label class="labelnormalmedium">How do you want to release your patient's results</label> 
								<p style="margin-top: 5px"> 
									<input 
										type="radio" 
										id="notice_1" 
										name="notice" 
										ng-checked="pc.data.notification_content_id==1" 
										ng-value="1" ng-model="pc.data.notification_content_id"> 
									<label for="notice_1" style="margin-right: 20px"> 
										I would like to release results after review (within 24 hours)
									</label> 
								</p> 
								<p> 
									<input 
										type="radio" 
										id="notice_2" 
										name="notice" 
										ng-checked="pc.data.notification_content_id==2" 
										ng-value="2" ng-model="pc.data.notification_content_id"> 
									<label for="notice_2" style="margin-right: 20px"> 
										I would like to release results after review (no time limit)
									</label> 
								</p> 
								<p> 
									<input 
										type="radio" 
										id="notice_3" 
										name="notice"
										ng-checked="pc.data.notification_content_id==3" 
										ng-value="3" ng-model="pc.data.notification_content_id"> 
									<label for="notice_3" style="margin-right: 20px"> 
										Release results right away 
									</label> 
								</p> 
							</div> 
						</div> 
					</div>
					<div class="row"> 
						<div class="col-md-12"> 
							<div class="form-group"> 
								<label class="labelnormaldark">Disclaimer</label> 
								<label class="labelnormalmedium">We will not release the results of certain test such as HIV and cancer markers to patient without prior consulatation.</label> 
							</div>
						</div> 
					</div>
					<div class="row">
						<div class="col-md-12 text-center">
							<div class="form-group">
								<button class="btn btn-danger biomark-btn-primary" ng-click="pc.update_notification()">Save Changes</button>	
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

</div> -->
<div class="container-fluid" ng-if="pc.tab_position == 2">
	<div class="row">
		<div class="col-md-12">
			<div class="biomark-card">
				<div class="content_wrapper text-center">
					<br>
					<qr text="pc.data" size="300"></qr>
					<br>
					<br>
					<p>Scan this QR Code to connect patient.</p>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="biomark-popup" ng-if="pc.save_ok" ng-hide="pc.update_message">
	<p>Your changes have been saved.
		<span class="material-icons md-22" style="position: absolute; right:10px; top:15px; cursor: pointer;" ng-click="pc.close()">close</span>
	</p>
</div>
<div class="biomark-popup-error" ng-if="pc.validity" ng-hide="pc.error_message">
	<p style="margin-bottom: 0px">Your changes were not saved.
		<span class="material-icons md-22" style="position: absolute; right:10px; top:15px; cursor: pointer;" ng-click="pc.close()">close</span>
	</p>
</div>


<!-- <div class="modal_container small">
		<div class="modal-closer-icon" ng-click="pc.close()">
			<i class="material-icons md-14">close</i>
		</div>
		<div class="modal-body-sm text-center">
			<div class="modal-custom-icon">
				<i class="material-icons md-50 bio-m-icon">check</i>
			</div>
			<p class="warning-msg">Settings updated</p>
			<p class="warning-description">Your changes have been saved successfully.</p>
			<p>
				<a href="" class="back" ng-click="pc.close()">Close</a>
			</p>
			<br>
		</div>
	</div> -->

<!-- <common-footer></common-footer> -->